/**********************************************************************
* OSAKA WORDPRESS THEME 
* (Ideal For Business And Personal Use: Portfolio or Blog)   
* 
* File name:   
*      htmleditor.js
* Brief:       
*      WordPress HTML editor buttons
* Author:      
*      DigitalCavalry
* Author URI:
*      http://themeforest.net/user/DigitalCavalry
* Contact:
*      digitalcavalry@gmail.com 
**********************************************************************/


edButtons[edButtons.length] = new edButton('ed_p', 'p', '<p>', '</p>','p');

// h1
edButtons[edButtons.length] = new edButton('ed_H1', 'H1',
    '<h1>',
    '</h1>','H1');

// h2
edButtons[edButtons.length] = new edButton('ed_H2', 'H2',
    '<h2>',
    '</h2>','H2');
    
// h3
edButtons[edButtons.length] = new edButton('ed_H3', 'H3',
    '<h3>',
    '</h3>','H3');
    
// h4
edButtons[edButtons.length] = new edButton('ed_H4', 'H4',
    '<h4>',
    '</h4>','H4');
    
// h5
edButtons[edButtons.length] = new edButton('ed_H5', 'H5',
    '<h5>',
    '</h5>','H5');
    
// h6
edButtons[edButtons.length] = new edButton('ed_H6', 'H6',
    '<h6>',
    '</h6>','H6');
    
// li
edButtons[edButtons.length] = new edButton('ed_li', 'li',
    '<li>',
    '</li>','li');    
    
// pre
edButtons[edButtons.length] = new edButton('ed_pre', 'pre',
    '<pre class="dc-code" lang="code">\rYour code here\r</pre>',
    '','pre'); 
    
// pre-desc
edButtons[edButtons.length] = new edButton('ed_predesc', 'pre-description',
    '<div class="dc-highlight-code-desc">\r<div class="title">Optional description title</div>\r<div class="text">\rThis description should be placed right away after pre block\r</div>\r</div>',
    '','predesc');        

// HSubtitle
edButtons[edButtons.length] = new edButton('ed_HSubtitle', 'H+Subtitle',
    '<h3>Heading text<span>',
    '</span></h3>','HSubtitle');       

// span
edButtons[edButtons.length] = new edButton('ed_cspan', 'Colored span',
    '<span style="color:#3399CC;">',
    '</span>','cspan');      
    
// small
edButtons[edButtons.length] = new edButton('ed_small', 'small',
    '<small>',
    '</small>','small');            
    
// clear
edButtons[edButtons.length] = new edButton('ed_clear', 'clear',
    '<div class="dc-clear-both"></div>',
    '','clear'); 
    
// a
edButtons[edButtons.length] = new edButton('ed_a', 'a',
    '<a href="#" target="_self">',
    '</a>','a');         
    
// br
edButtons[edButtons.length] = new edButton('ed_br', 'br',
    '<br />',
    '','br');      

// abbr
edButtons[edButtons.length] = new edButton('ed_abbr', 'abbr',
    '<abbr>',
    '</abbr>','abbr');  

// dfn
edButtons[edButtons.length] = new edButton('ed_dfn', 'dfn',
    '<dfn>',
    '</dfn>','dfn'); 

// var
edButtons[edButtons.length] = new edButton('ed_var', 'var',
    '<var>',
    '</var>','var');

// kbd
edButtons[edButtons.length] = new edButton('ed_kbd', 'kbd',
    '<kbd>',
    '</kbd>','kbd');
    
// blockquote
edButtons[edButtons.length] = new edButton('ed_blockquote', 'Blockquote',
    '<blockquote>\rBlock quote text\r<span class="author">Author name</span><span class="author-title">Title</span>\r</blockquote>',
    '','blockquote'); 
  
// head block
edButtons[edButtons.length] = new edButton('ed_headblock', 'Head block',
    '<div class="dcs-simple-head"><span class="head-text">Your head text here</span></div>',
    '','headblock');     
    
// ul default
edButtons[edButtons.length] = new edButton('ed_uldefault', 'ul-default',
    '<ul class="dc-list-default">\r<li>List item</li>\r</ul>',
    '','uldefault');    
    
// ul arrow
edButtons[edButtons.length] = new edButton('ed_ularrow', 'ul-arrow',
    '<ul class="dc-list-arrow">\r<li>List item</li>\r</ul>',
    '','ularrow');          

// ul accept
edButtons[edButtons.length] = new edButton('ed_ultick', 'ul-tick',
    '<ul class="dc-list-tick">\r<li>List item</li>\r</ul>',
    '','ultick');  
    
// ul exception
edButtons[edButtons.length] = new edButton('ed_ulexclamation', 'ul-exclamation',
    '<ul class="dc-list-exclamation">\r<li>List item</li>\r</ul>',
    '','ulexclamation');      
    
// empty space
edButtons[edButtons.length] = new edButton('ed_emptyspace', 'Empty space',
    '<div style="clear:both;height:15px;"></div>',
    '','emptyspace');       
    
// table
edButtons[edButtons.length] = new edButton('ed_table', 'table',
    '<table class="dc-theme-table" style="width:100%;">\r<thead>\r\t<tr>\r\t<td>First</td>\r\t<td>Second</td>\r\t</tr>\r</thead>\r<tbody>\r\t<tr><td>sample</td><td>sample</td></tr>\r</tbody>\r</table>',
    '','table');  
    
// nextpage
edButtons[edButtons.length] = new edButton('ed_page', 'nextpage',
    '<!--nextpage-->',
    '','page');     